Subject: Fw: [Bug 14749] New: Kernel locks up after a few minutes of heavy surfing

From: Stephen Hemminger <[email-masked]>
Date: Mon, 7 Dec 2009 09:01:54 -0800

Begin forwarded message:

Date: Sun, 6 Dec 2009 13:40:19 GMT
From: [email-masked]
To: [email-masked]
Subject: [Bug 14749] New: Kernel locks up after a few minutes of heavy surfing

http://bugzilla.kernel.org/show_bug.cgi?id=14749

           Summary: Kernel locks up after a few minutes of heavy surfing
           Product: Networking
           Version: 2.5
    Kernel Version: 2.6.31.6
          Platform: All
        OS/Version: Linux
              Tree: Mainline
            Status: NEW
          Severity: high
          Priority: P1
         Component: IPV4
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
        Regression: Yes

Created an attachment (id=24049)
 --> (http://bugzilla.kernel.org/attachment.cgi?id=24049)
Warnings found in kernel, relating to network corruption.

This bug is new as of 2.6.31.x kernels. After a short period of heavy surfing
(e.g. lots of tabs open in Firefox), the kernel will suddenly stop responding.
Nothing is written to the serial console, and the machine stops responding to
pings. My only clue so far has been a warning which I found once in my dmesg
log (attached).

I have already tried manually applying this patch from the upcoming -stable
queue:

net-fix-sk_forward_alloc-corruption.patch

to no effect.

I am currently switching back to Fedora's 2.6.31.6-145.fc12.i686 kernel to see
if it is more stable. (I cannot trust 2.6.31.6 any more.)

-- 
Configure bugmail: http://bugzilla.kernel.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

--